
<?php
include_once(__DIR__."/../../core.php");

if ($modules_info[$module_name]["permessi"] == 'rw') {
	switch (filter('op')) {
		case "update" :
			$valore = filter("valore");

			if(isset($valore)){
				if($dbo->fetchNum("SELECT * FROM `mg_unitamisura` WHERE `valore`=".prepare($valore)." AND `id`!=".prepare($id_record)) == 0){
					$dbo->query("UPDATE `mg_unitamisura` SET `valore`=".prepare($valore)." WHERE `id`=" . prepare($id_record));
					array_push($_SESSION["infos"], _("Salvataggio completato!"));
				}
				else array_push($_SESSION["errors"], str_replace("_TYPE_", "unità di misura", _("E' già presente una tipologia di _TYPE_ con lo stesso valore!")));
			}
			else array_push($_SESSION["errors"], _("Ci sono stati alcuni errori durante il salvataggio!"));

			break;

		case "add" :
			$valore = filter("valore");

			if(isset($valore)){
				if($dbo->fetchNum("SELECT * FROM `mg_unitamisura` WHERE `valore`=".prepare($valore)) == 0){
					$id_record = $dbo->query("INSERT INTO `mg_unitamisura` (`valore`) VALUES (".prepare($valore).")");
					array_push($_SESSION["infos"], str_replace("_TYPE_", "unità di misura", _("Aggiunta nuova tipologia di _TYPE_")));
				}
				else array_push($_SESSION["errors"], str_replace("_TYPE_", "unità di misura", _("E' già presente una tipologia di _TYPE_ con lo stesso valore!")));
			}
			else array_push($_SESSION["errors"], _("Ci sono stati alcuni errori durante il salvataggio!"));

			break;

		case "delete" :
			if(isset($id_record)){
				$id_record = $dbo->query("DELETE FROM `mg_unitamisura` WHERE `id`=" . prepare($id_record));
				array_push($_SESSION["infos"],  str_replace("_TYPE_", "unità di misura", _("Tipologia di _TYPE_ eliminata con successo!")));
			}

			break;
	}
}

//Annullo le notifiche se le operazioni sono fatte via ajax
if( $html->form('ajax', 'post') == 'yes' ){
	unset( $_SESSION['infos'] );
}
?>
